gr::satellites::nrzi_encode Class Reference

NRZI encode. More...

`#include <nrzi_encode.h>`

Inheritance diagram for gr::satellites::nrzi_encode:
[legend]

## Public Types

typedef boost::shared_ptr< nrzi_encode > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of satellites::nrzi_encode.

## Detailed Description

NRZI encode.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<nrzi_encode> gr::satellites::nrzi_encode::sptr

## Member Function Documentation

## make()

sptr gr::satellites::nrzi_encode::make | ( |  | ) |

static

Return a shared_ptr to a new instance of satellites::nrzi_encode.

To avoid accidental use of raw pointers, satellites::nrzi_encode's constructor is in a private implementation class. satellites::nrzi_encode::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- nrzi_encode.h